Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html.parser
Interface DTDConstants

All Known Implementing Classes:
  AttributeList, DTD, Element, Entity, Parser

public interface DTDConstants

SGML constants used in a DTD. The names of the constants correspond the the equivalent SGML constructs as described in "The SGML Handbook" by Charles F. Goldfarb.

See Also:
  `DTD`, `Element`

Field Summary
`static int` | `ANY`
`static int` | `CDATA`
`static int` | `CONREF`
`static int` | `CURRENT`
`static int` | `DEFAULT`
`static int` | `EMPTY`
`static int` | `ENDTAG`
`static int` | `ENTITIES`
`static int` | `ENTITY`
`static int` | `FIXED`
`static int` | `GENERAL`
`static int` | `ID`
`static int` | `IDREF`
`static int` | `IDREFS`
`static int` | `IMPLIED`
`static int` | `MD`
`static int` | `MODEL`
`static int` | `MS`
`static int` | `NAME`
`static int` | `NAMES`
`static int` | `NMTOKEN`
`static int` | `NMTOKENS`
`static int` | `NOTATION`
`static int` | `NUMBER`
`static int` | `NUMBERS`
`static int` | `NUTOKEN`
`static int` | `NUTOKENS`
`static int` | `PARAMETER`
`static int` | `PI`
`static int` | `PUBLIC`
`static int` | `RCDATA`
`static int` | `REQUIRED`
`static int` | `SDATA`
`static int` | `STARTTAG`
`static int` | `SYSTEM`

Field Detail

### CDATA

    public static final int CDATA

See Also:
  Constant Field Values

### ENTITY

    public static final int ENTITY

See Also:
  Constant Field Values

### ENTITIES

    public static final int ENTITIES

See Also:
  Constant Field Values

### ID

    public static final int ID

See Also:
  Constant Field Values

### IDREF

    public static final int IDREF

See Also:
  Constant Field Values

### IDREFS

    public static final int IDREFS

See Also:
  Constant Field Values

### NAME

    public static final int NAME

See Also:
  Constant Field Values

### NAMES

    public static final int NAMES

See Also:
  Constant Field Values

### NMTOKEN

    public static final int NMTOKEN

See Also:
  Constant Field Values

### NMTOKENS

    public static final int NMTOKENS

See Also:
  Constant Field Values

### NOTATION

    public static final int NOTATION

See Also:
  Constant Field Values

### NUMBER

    public static final int NUMBER

See Also:
  Constant Field Values

### NUMBERS

    public static final int NUMBERS

See Also:
  Constant Field Values

### NUTOKEN

    public static final int NUTOKEN

See Also:
  Constant Field Values

### NUTOKENS

    public static final int NUTOKENS

See Also:
  Constant Field Values

### RCDATA

    public static final int RCDATA

See Also:
  Constant Field Values

### EMPTY

    public static final int EMPTY

See Also:
  Constant Field Values

### MODEL

    public static final int MODEL

See Also:
  Constant Field Values

### ANY

    public static final int ANY

See Also:
  Constant Field Values

### FIXED

    public static final int FIXED

See Also:
  Constant Field Values

### REQUIRED

    public static final int REQUIRED

See Also:
  Constant Field Values

### CURRENT

    public static final int CURRENT

See Also:
  Constant Field Values

### CONREF

    public static final int CONREF

See Also:
  Constant Field Values

### IMPLIED

    public static final int IMPLIED

See Also:
  Constant Field Values

### PUBLIC

    public static final int PUBLIC

See Also:
  Constant Field Values

### SDATA

    public static final int SDATA

See Also:
  Constant Field Values

### PI

    public static final int PI

See Also:
  Constant Field Values

### STARTTAG

    public static final int STARTTAG

See Also:
  Constant Field Values

### ENDTAG

    public static final int ENDTAG

See Also:
  Constant Field Values

### MS

    public static final int MS

See Also:
  Constant Field Values

### MD

    public static final int MD

See Also:
  Constant Field Values

### SYSTEM

    public static final int SYSTEM

See Also:
  Constant Field Values

### GENERAL

    public static final int GENERAL

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### PARAMETER

    public static final int PARAMETER

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.